/***
 * GASP: a gaming services platform for mobile multiplayer games.
 * MooDS: a communication protocol used in GASP.
 * GASP Demonstrator: a gasp demonstration game.
 *
 * Copyright (C) 2004 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Franck Caron, Romain Pellerin
 */
/*
 * Created on 2 december 2005
 *
 * @author CARON Franck - CNAM CEDRIC
 * @author PELLERIN Romain - CNAM CEDRIC
 * @author DELPIANO Fabien - Filao
 * 
 * 
 * Research project: CNAM-CEDRIC - INT - Filao
 */

package app2.client.game;
import javax.microedition.lcdui.Graphics;

public class MultiplayerActor extends Actor {

	public int multiplayerID;
	
	public void setX(int x1) {
		x = x1;
	}
	public void setY(int y1) {
		y = y1;
	}

	public MultiplayerActor(GameCanvas game, int id) {
		super(game);
		multiplayerID = id;
	}
	
	public void initialize() {
		this.x = 1000000;
		this.y = 1000000;
	}
	
	public void executeActions(long time, long delta_time) {
		super.executeActions(time, delta_time);
	}

	public void paint(Graphics g, long gameTime, long deltaTime) {
		super.paint(g, gameTime, deltaTime);
		g.setColor(0x3333FF);
		g.drawString(username, game.convertToScreenX(getX()), game.convertToScreenY(getY())+5, Graphics.TOP | Graphics.HCENTER);
	}
}
